Package org.xnio.channels

# Interface ConnectedSslStreamChannel

All Superinterfaces:
  `AutoCloseable`, `BoundChannel`, `ByteChannel`, `ByteChannel`, `Channel`, `Closeable`, `CloseableChannel`, `Configurable`, `ConnectedChannel`, `ConnectedStreamChannel`, `GatheringByteChannel`, `InterruptibleChannel`, `ReadableByteChannel`, `ScatteringByteChannel`, `SslChannel`, `StreamChannel`, `StreamSinkChannel`, `StreamSourceChannel`, `SuspendableChannel`, `SuspendableReadChannel`, `SuspendableWriteChannel`, `WritableByteChannel`

All Known Implementing Classes:
  `AssembledConnectedSslStreamChannel`

public interface ConnectedSslStreamChannel extends ConnectedStreamChannel, SslChannel
A TLS-encapsulated connected stream channel.

## Field Summary

### Fields inherited from interface org.xnio.channels.Configurable

`EMPTY`

## Method Summary

Modifier and Type
Method
Description
`ChannelListener.Setter<? extends ConnectedSslStreamChannel>`
`getCloseSetter()`
Get the setter which can be used to change the close listener for this channel.
`ChannelListener.Setter<? extends ConnectedSslStreamChannel>`
`getReadSetter()`
Get the setter which can be used to change the read listener for this channel.
`ChannelListener.Setter<? extends ConnectedSslStreamChannel>`
`getWriteSetter()`
Get the setter which can be used to change the write listener for this channel.

### Methods inherited from interface org.xnio.channels.BoundChannel

`getLocalAddress, getLocalAddress`

### Methods inherited from interface org.xnio.channels.CloseableChannel

`getIoThread, getWorker`

### Methods inherited from interface org.xnio.channels.Configurable

`getOption, setOption, supportsOption`

### Methods inherited from interface org.xnio.channels.ConnectedChannel

`getPeerAddress, getPeerAddress`

### Methods inherited from interface java.nio.channels.GatheringByteChannel

`write, write`

### Methods inherited from interface java.nio.channels.ReadableByteChannel

`read`

### Methods inherited from interface java.nio.channels.ScatteringByteChannel

`read, read`

### Methods inherited from interface org.xnio.channels.SslChannel

`getHandshakeSetter, getSslSession, startHandshake`

### Methods inherited from interface org.xnio.channels.StreamSinkChannel

`transferFrom, transferFrom, writeFinal, writeFinal, writeFinal`

### Methods inherited from interface org.xnio.channels.StreamSourceChannel

`transferTo, transferTo`

### Methods inherited from interface org.xnio.channels.SuspendableReadChannel

`awaitReadable, awaitReadable, getReadThread, isReadResumed, resumeReads, shutdownReads, suspendReads, wakeupReads`

### Methods inherited from interface org.xnio.channels.SuspendableWriteChannel

`awaitWritable, awaitWritable, close, flush, getWriteThread, isOpen, isWriteResumed, resumeWrites, shutdownWrites, suspendWrites, wakeupWrites`

### Methods inherited from interface java.nio.channels.WritableByteChannel

`write`

## Method Details

### getReadSetter

ChannelListener.Setter<? extends ConnectedSslStreamChannel> getReadSetter()
Get the setter which can be used to change the read listener for this channel.

Specified by:
  `getReadSetter` in interface `ConnectedStreamChannel`
Specified by:
  `getReadSetter` in interface `StreamChannel`
Specified by:
  `getReadSetter` in interface `StreamSourceChannel`
Specified by:
  `getReadSetter` in interface `SuspendableChannel`
Specified by:
  `getReadSetter` in interface `SuspendableReadChannel`
Returns:
  the setter

### getWriteSetter

ChannelListener.Setter<? extends ConnectedSslStreamChannel> getWriteSetter()
Get the setter which can be used to change the write listener for this channel.

Specified by:
  `getWriteSetter` in interface `ConnectedStreamChannel`
Specified by:
  `getWriteSetter` in interface `StreamChannel`
Specified by:
  `getWriteSetter` in interface `StreamSinkChannel`
Specified by:
  `getWriteSetter` in interface `SuspendableChannel`
Specified by:
  `getWriteSetter` in interface `SuspendableWriteChannel`
Returns:
  the setter

### getCloseSetter

ChannelListener.Setter<? extends ConnectedSslStreamChannel> getCloseSetter()
Get the setter which can be used to change the close listener for this channel. If the channel is already closed, then the listener will not be called.

Specified by:
  `getCloseSetter` in interface `BoundChannel`
Specified by:
  `getCloseSetter` in interface `CloseableChannel`
Specified by:
  `getCloseSetter` in interface `ConnectedChannel`
Specified by:
  `getCloseSetter` in interface `ConnectedStreamChannel`
Specified by:
  `getCloseSetter` in interface `SslChannel`
Specified by:
  `getCloseSetter` in interface `StreamChannel`
Specified by:
  `getCloseSetter` in interface `StreamSinkChannel`
Specified by:
  `getCloseSetter` in interface `StreamSourceChannel`
Specified by:
  `getCloseSetter` in interface `SuspendableChannel`
Specified by:
  `getCloseSetter` in interface `SuspendableReadChannel`
Specified by:
  `getCloseSetter` in interface `SuspendableWriteChannel`
Returns:
  the setter